#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module	sphinx_rtd_theme
Summary:	ReadTheDocs.org theme for Sphinx
Summary(pl.UTF-8):	Motyw ReadTheDocs.org dla Sphinksa
Name:		python3-%{module}
Version:	3.0.2
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx_rtd_theme/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx_rtd_theme/%{module}-%{version}.tar.gz
# Source0-md5:	b26e7ff8c3a90817bbc20fb76c530e00
URL:		https://github.com/snide/sphinx_rtd_theme/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-readthedocs-sphinx-ext
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a mobile-friendly Sphinx theme made for readthedocs.org.

%description -l pl.UTF-8
Ten pakiet zawiera przyjazny dla urządzeń przenośnych motyw Sphinksa
wykonany przez readthedocs.org.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_rtd_theme.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0adcf6b
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f104f95
- python 3.13 rebuild

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7961f6b
- Up to 3.0.2 (python3 only now)

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 13f60bf
- disable pytest plugins

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 8187f45
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3c62c84
- rebuild with python 3.10

* Sat Mar 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 6028a54
- updated to 1.0.0
- added docutils patch (allow docutils 0.18.x)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 70f0575
- release 5 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 01c2f85
- release 4 (by relup.sh)

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 3985aa6
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0f12ad4
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Sep 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 6c3b921
- updated to 0.4.3

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 65e13b3
- updated to 0.4.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b605751
- release 2 (by relup.sh)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 9eb3cc7
- updated to 0.2.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fe58b43
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 168104d
- updated to 0.1.9

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 78c917f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a7b0d66
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 415c71e
- automatic change: use py_build/py_install macros

